Subject: newest Index of FLOW3 throws error
Description

After having updated FLOW3 to the newest Index. I get odd errors when trying to start the FLOW3-Welcome Package

Uncaught Exception in FLOW3 #1297263663: Could not load object configuration from cache. This might be due to an
unsuccessful compile run. One reason might be, that your PHP binary is not located in
"/Applications/MAMP/bin/php5.3/bin/php". In that case, set the correct path to the PHP executable in
Configuration/Settings.yaml, setting FLOW3.core.phpBinaryPathAndFilename.
thrown in file Packages/Framework/FLOW3/Classes/Core/Bootstrap.php
in line 369

The php binary is exactly at the location, the error message says. So this obviously is not the reason for the error. Concerning the
unsuccessful compile, I threw away ../FLOW3/Data to force FLOW3 to do a completely new compile ==> same error.

Then I tried to compile from the command-line and got the following error (consider the Way the firs 'FLOW3' is written in the first line,
whereas the Folder in the Folder Structure of my MAC is written 'FLOW3')

FLOW3: Invalid root path. (Error #1248964375)
"/Applications/MAMP/htdocs/Flow3/Packages/Framework/FLOW3/" does not lead to
"/Applications/MAMP/htdocs/FLOW3/Packages/Framework/FLOW3/" 

This error got away when setting the FLOW3_ROOTPATH Environment Variable explicitly to the wanted writing form. But then the
error mentionned first was thrown again.

So as far as I can see, the caching mecanism has a problem. But which one?

History
#1 - 2011-04-06 20:34 - Regine Rosewich

The var_dump of the variable throwing the error has the following content.
FLOW3 Variable Dump
F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
 useIgBinary => FALSE
 identifier => 'FLOW3_Object_Configuration' (26)
 backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
   cacheDirectory => '/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
   cacheEntryFileExtension => '' (0)
   cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
     useIgBinary => FALSE
     identifier => 'FLOW3_Object_Configuration' (26)
     backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
       cacheDirectory => '/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
       cacheEntryFileExtension => '' (0)
       cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
         useIgBinary => FALSE
         identifier => 'FLOW3_Object_Configuration' (26)
         backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
           cacheDirectory => '/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
           cacheEntryFileExtension => '' (0)
           cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
             useIgBinary => FALSE
             identifier => 'FLOW3_Object_Configuration' (26)
             backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
               cacheDirectory => '/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/'
(97)
               cacheEntryFileExtension => '' (0)
               cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                 useIgBinary => FALSE
                 identifier => 'FLOW3_Object_Configuration' (26)
                 backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                   cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                   cacheEntryFileExtension => '' (0)
                   cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                     useIgBinary => FALSE
                     identifier => 'FLOW3_Object_Configuration' (26)
                     backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                       cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                       cacheEntryFileExtension => '' (0)
                       cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                         useIgBinary => FALSE
                         identifier => 'FLOW3_Object_Configuration' (26)
                         backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                           cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                           cacheEntryFileExtension => '' (0)
                           cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                             useIgBinary => FALSE
                             identifier => 'FLOW3_Object_Configuration' (26)
                             backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                               cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                               cacheEntryFileExtension => '' (0)
                               cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                                 useIgBinary => FALSE
                                 identifier => 'FLOW3_Object_Configuration' (26)
                                 backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                                   cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                                   cacheEntryFileExtension => '' (0)
                                   cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                                     useIgBinary => FALSE
                                     identifier => 'FLOW3_Object_Configuration' (26)
                                     backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                                       cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                                       cacheEntryFileExtension => '' (0)
                                       cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                                         useIgBinary => FALSE
                                         identifier => 'FLOW3_Object_Configuration' (26)
                                         backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                                           cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                                           cacheEntryFileExtension => '' (0)
                                           cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                                             useIgBinary => FALSE
                                             identifier => 'FLOW3_Object_Configuration' (26)
                                             backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                                               cacheDirectory =>
'/Applications/MAMP/htdocs/FLOW3/Data/Temporary/Development/Cache/Data/FLOW3_Object_Configuration/' (97)
                                               cacheEntryFileExtension => '' (0)
                                               cache => F3\FLOW3\Cache\Frontend\VariableFrontendstrange object
                                                 useIgBinary => FALSE
                                                 identifier => 'FLOW3_Object_Configuration' (26)
                                                 backend => F3\FLOW3\Cache\Backend\FileBackendstrange object
                                                   cacheDirectory => RECURSION ... 

                                                   cacheEntryFileExtension => RECURSION ... 

                                                   cache => RECURSION ... 

                                                   cacheIdentifier => RECURSION ... 

                                                   context => RECURSION ... 

                                                   defaultLifetime => RECURSION ... 

                                                   environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                                               cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                                               context => 'Development' (11)
                                               defaultLifetime => integer 0
                                               environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                                           cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                                           context => 'Development' (11)
                                           defaultLifetime => integer 0
                                           environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                                       cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                                       context => 'Development' (11)
                                       defaultLifetime => integer 0
                                       environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                                   cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                                   context => 'Development' (11)
                                   defaultLifetime => integer 0
                                   environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                               cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                               context => 'Development' (11)
                               defaultLifetime => integer 0
                               environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                           cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                           context => 'Development' (11)
                           defaultLifetime => integer 0
                           environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                       cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                       context => 'Development' (11)
                       defaultLifetime => integer 0
                       environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
                   cacheIdentifier => 'FLOW3_Object_Configuration' (26)
                   context => 'Development' (11)
                   defaultLifetime => integer 0
                   environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
               cacheIdentifier => 'FLOW3_Object_Configuration' (26)
               context => 'Development' (11)
               defaultLifetime => integer 0
               environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
           cacheIdentifier => 'FLOW3_Object_Configuration' (26)
           context => 'Development' (11)
           defaultLifetime => integer 0
           environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
       cacheIdentifier => 'FLOW3_Object_Configuration' (26)
       context => 'Development' (11)
       defaultLifetime => integer 0
       environment => F3\FLOW3\Utility\Environmentstrange objectfiltered
   cacheIdentifier => 'FLOW3_Object_Configuration' (26)
   context => 'Development' (11)
   defaultLifetime => integer 0
   environment => F3\FLOW3\Utility\Environmentstrange objectfiltered

#2 - 2011-04-27 15:42 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

Could you provide some detail about your setup? Path names, symlinks, Apache configuration regarding document root, ...

#3 - 2011-04-27 15:57 - Regine Rosewich

Hi Karsten,

I simply forgot to delete this bug-report. In the meantime I found out that the mentioned error message is thrown whenever there is something wrong
with an object or a class (forgotten semicolons, wrong written properties, methods or whatever). So principally it's o.k. that the FLOW3-Compile throws
an error, but the error-message should be a little bit more meaningful to facilitate the searching for errors.
Regine

#4 - 2011-04-28 11:13 - Karsten Dambekalns
- Category set to Error
- Status changed from Needs Feedback to Closed

Regine Rosewich wrote:

the mentioned error message is thrown whenever there is something wrong with an object or a class (forgotten semicolons, wrong written
properties, methods or whatever).

If a syntax error is encountered, this is what I see on the CLI:
karsten@kmac:conference  (master)$ ./flow3_dev flow3:core:compile
PHP Parse error:  syntax error, unexpected T_STRING, expecting T_FUNCTION in FooBar.php on line 123
PHP Stack trace: ...

In the browser I get essentially the same output before the HTML.

There is no way we can catch fatal errors to be logged, so you need to watch the PHP error log for those.

#5 - 2011-06-21 01:15 - Johannes K

In the browser I get essentially the same output before the HTML.

This doesn't show up for me (even in Development Context), I suppose because for CLI calls the php.ini setting display_errors is off (on my vanilla
ubuntu 11.04 machine). Without this output this problem is very hard to debug, also the Exception message is misleading (points to configuration
problems while it is 95% of the time simply a syntax error).

The Exception message should contain a reference to the "./flow3_dev flow3:core:compile" command to guide debugging.
